7.151. pam_passwdqc

Updated pam_passwdqc packages that fix one bug are now available for Red Hat Enterprise Linux 6.
The pam_passwdqc packages provide a simple password strength checking module for PAM (Pluggable Authentication Module) aware password changing programs, such as passwd(1). In addition to checking regular passwords, the module offers support for passphrases and can provide randomly generated passwords. All the features of the module are optional and can be reconfigured without rebuilding.

Bug Fix

BZ#889545
Previously, the pam_passwdqc man page contained an unclear description of the relationship between the minimum password length and complexity. Consequently, users of this PAM module reading the man page could misinterpret the actual requirements for sufficiently secure passwords. With this update, a detailed description of the required password complexity for various lengths has been provided in the man page, and as a result, the documentation is no longer ambiguous.
Users of pam_passwdqc are advised to upgrade to these updated packages, which fix this bug.